Update to 2.27.92

Bug #417900 reported by Robert Ancell
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gnome-games (Ubuntu)
Fix Released
Wishlist
Robert Ancell
Changed in gnome-games (Ubuntu):
assignee: nobody → Robert Ancell (robert-ancell)
importance: Undecided → Wishlist
status: New → In Progress
Changed in gnome-games (Ubuntu):
assignee: Robert Ancell (robert-ancell) → nobody
Revision history for this message
Robert Ancell (robert-ancell) wrote :

In lp:~ubuntu-desktop/gnome-games/ubuntu branch, LP seems unable to link against this at the moment

Revision history for this message
Martin Pitt (pitti) wrote :

Taking for sponsoring

Changed in gnome-games (Ubuntu):
assignee: nobody → Martin Pitt (pitti)
Revision history for this message
Martin Pitt (pitti) wrote :

To avoid name space cluttering and confusion, would you mind to rename aisleriot, blackjack, freecell, and mahjong to gnome-games-*, or g*, or gnome-*?

Changed in gnome-games (Ubuntu):
assignee: Martin Pitt (pitti) → Robert Ancell (robert-ancell)
status: In Progress → Incomplete
Revision history for this message
Robert Ancell (robert-ancell) wrote :

I did that originally but their binaries and .desktop files already claim those names - so is it worth it?

Revision history for this message
Martin Pitt (pitti) wrote :

Looks good now, thanks!

Changed in gnome-games (Ubuntu):
status: Incomplete → In Progress
Revision history for this message
Sebastien Bacher (seb128) wrote :

would also be nice to update to the current version it fixes quite some issues

summary: - Update to 2.27.90
+ Update to 2.27.92
description: updated
Revision history for this message
Martin Pitt (pitti) wrote :

For the record, the branch can't be uploaded until the issues in bug 376744 are fixed.

Changed in gnome-games (Ubuntu):
status: In Progress → Incomplete
Revision history for this message
Robert Ancell (robert-ancell) wrote :

I've fixed all the requested problems, except I can't work out why the permissions get changed. Everything in the install process seems to do them correctly:

W: gnobots2: non-standard-setuid-executable-perm usr/games/gnobots2 2555

bob@alchemy2:~/git/gnome-games$ ls -l /usr/games/gnobots2
-rwxr-sr-x 1 root games 187652 2009-08-31 02:44 /usr/games/gnobots2
bob@alchemy2:~/git/gnome-games$ dpkg -c ~/bzr/build-area/gnobots2_2.27.92-0ubuntu1_i386.deb | grep /usr/games/gnobots2
-r-xr-sr-x root/games 187580 2009-09-10 12:33 ./usr/games/gnobots2
bob@alchemy2:~/git/gnome-games$ ls -l ~/bzr/build-area/gnome-games-2.27.92/debian/tmp/usr/games/gnobots2
-rwxr-sr-x 1 bob bob 623017 2009-09-10 12:31 /home/bob/bzr/build-area/gnome-games-2.27.92/debian/tmp/usr/games/gnobots2
bob@alchemy2:~/git/gnome-games$ ls -l ~/bzr/build-area/gnome-games-2.27.92/debian/gnobots2/usr/games/gnobots2
-rwxr-xr-x 1 bob bob 187580 2009-09-10 12:33 /home/bob/bzr/build-area/gnome-games-2.27.92/debian/gnobots2/usr/games/gnobots2

Also I haven't worked out a clean way of symlinking the doc directories:

W: gnobots2: debian-changelog-file-is-a-symlink

(/usr/share/doc/gnobots2/* are symlinks to files in /usr/share/doc/gnome-games-common, /usr/share/doc/gnobots2 should be a link to /usr/share/doc/gnome-games-common. The difference is pretty trivial though)

W: gnome-freecell: desktop-command-not-in-package /usr/share/applications/freecell.desktop /usr/games/sol

gnome-freecell is just a link to aisleriot which is why it depends on aisleriot.

Revision history for this message
Robert Ancell (robert-ancell) wrote :

Ready to release (the permission and symlink problems are not major)

Changed in gnome-games (Ubuntu):
status: Incomplete → In Progress
status: In Progress → New
Revision history for this message
Martin Pitt (pitti) wrote :

there were conflicts/replaces missing for gnome-games-data, FYI, which broke upgrades. I added them to bzr now.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-games - 1:2.27.92-0ubuntu1

---------------
gnome-games (1:2.27.92-0ubuntu1) karmic; urgency=low

  [ Robert Ancell ]
  * New upstream release: (LP: #417900)
    - Fixes (LP: #400931), (LP: #421874), (LP: #154683), (LP: #387903),
      (LP: #389889), (LP: #411966), (LP: #426354)
  * debian/rules:
    - Compile with --enable-introspection=no
  * debian/control.in:
  * debian/_game_.install:
  * debian/_game_.menu:
  * debian/_game_.manpages:
    - Split games into separate packages (LP: #376744)
    - Re-enable gnometris (LP: #415464)
  * debian/patches/99_autotools.patch:
    - Refreshed

  [ Martin Pitt ]
  * debian/control.in: Add missing Conflicts:/Replaces: to gnome-games-data.

 -- Robert Ancell <email address hidden> Thu, 10 Sep 2009 19:12:09 +0200

Changed in gnome-games (Ubuntu):
status: New → Fix Released
Revision history for this message
Sebastien Bacher (seb128) wrote :

one small note, you can list (lp: #onebug, #otherbug, ...) no need to add (lp: ) for each bug, it's also nicer to have a short description for each issue fix "don't use duplicate ui ids (lp #...) etc

To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers